Subject: bug#44559: closed (Re: bug#44559: gnutls 3.6.12 fails to build: FAIL: status-request-revoked)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 16 Jul 2022 01:34:02 +0000

Your bug report

#44559: gnutls 3.6.12 fails to build: FAIL: status-request-revoked

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
44559: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=44559
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#44559: gnutls 3.6.12 fails to build: FAIL: status-request-revoked
From: Maxim Cournoyer <[email-masked]>
To: Ludovic Courtès <[email-masked]>
Cc: [email-masked], Mathieu Othacehe <[email-masked]>, Christopher Baines <[email-masked]>, Carl Dong <[email-masked]>
Date: Fri, 15 Jul 2022 21:33:46 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

Ludovic Courtès <[email-masked]> writes:

> Hi,
>
> Maxim Cournoyer <[email-masked]> skribis:
>
>> I lost track of the details -- is this problem still likely to bite us
>> in the future, or was something committed to mitigate against it?
>
> “Time bombs” are the worst of non-reproducibility bugs because (1) we
> don’t have workarounds other than changing the system time on the
> machine that performs the build, and (2) we currently lack a way to
> detect them.

I see.  Thanks for explaining!

> In this thread, Chris and I proposed addressing #2 by offering ways to
> automatically or manually run builds “in the future”¹.  We could actually
> similarly address #1 by running builds “in the past”.
>
> In any case, the first step is probably to offer a VM service for Guix
> System, similar to childhurd, with an option to specify the starting
> time.
>
> So we’re not done yet, but the discussion has drifted beyond the
> original GnuTLS bug report, so perhaps we can close it and take it
> elsewhere?

I think so!  Few seems to visit these years old reports.  If there's
something to brainstorm about, I'd rather see it happen in a new thread
on guix-devel.

Thanks for the reply!

Closing.

Maxim

Subject: gnutls 3.6.12 fails to build: FAIL: status-request-revoked
From: Christopher Baines <[email-masked]>
To: [email-masked]
Date: Tue, 10 Nov 2020 20:49:46 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

I found this when trying to build guile3.0-gnutls:

  guix time-machine --commit=94585fffb23079fe71110e2bf99782eb4ccfa12b -- build --no-grafts --check guile3.0-gnutls

FAIL: status-request-revoked
============================

trying NORMAL:-VERS-ALL:+VERS-TLS1.2
received status request
received status request
cert_verify_callback:263: certificate verify status doesn't match: 100402 != 22FAIL status-request-revoked (exit status: 1)